<template>
  <div>
    <div class="mainContainer">
      <h2>Tutorial App</h2>
      <el-menu style="float:right;"
            :default-active="activeIndex"
            class="el-menu-demo"
            mode="horizontal"
            background-color="#545c64"
            :router="true"
            text-color="#fff"
            active-text-color="#ffd04b">

        <!-- el menu item will set the router path when router prop is true -->
        <el-menu-item index="/tutorials">Tutorial</el-menu-item>
        <el-menu-item index="/add">Add</el-menu-item>
        
      </el-menu>
    </div>
    <div class="viewContainer">
      <router-view></router-view>
    </div>
  </div>
</template>


<script>
export default {
  name: 'MainLayout',
  data() {
    return {
      activeIndex: '/tutorials'
    }
  },
  mounted(){
    // setting current path as active path
    this.activeIndex = this.$route.path
  }
}
</script>


<style scoped>
.mainContainer {
    background-color: rgb(84, 92, 100);
    width: 100%;
    height: 60px;
}
h2 {
  float:left;
  margin-left: 30px;
  color:#fff
}
</style>

